using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 家庭成员
    /// </summary>
    [SugarTable("YB_Family", TableDescription = "家庭成员", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_Family
    {

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        [SugarColumn(ColumnDescription = "头像地址", ColumnDataType = "varchar(200)")]
        public System.String HeadImg { get; set; }

        /// <summary>
        /// 类型,1-成人,2-儿童,3-婴儿
        /// </summary>
        [SugarColumn(ColumnDescription = "类型,1-成人,2-儿童,3-婴儿")]
        public FamilyType Type { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [SugarColumn(ColumnDescription = "名称", ColumnDataType = "nvarchar(100)")]
        public System.String Name { get; set; }

        /// <summary>
        /// 身高,单位为厘米
        /// </summary>
        [SugarColumn(ColumnDescription = "身高,单位为厘米", ColumnDataType = "decimal(10,2)")]
        public System.Decimal Height { get; set; }

        /// <summary>
        /// 性别,0-未知,1-男,2-女
        /// </summary>
        [SugarColumn(ColumnDescription = "性别,0-未知,1-男,2-女")]
        public GenderType Sex { get; set; }

        /// <summary>
        /// 体重,单位为kg
        /// </summary>
        [SugarColumn(ColumnDescription = "体重,单位为kg", ColumnDataType = "decimal(18,2)")]
        public System.Decimal Weight { get; set; }

        /// <summary>
        /// 头围,单位为cm
        /// </summary>
        [SugarColumn(ColumnDescription = "头围,单位为cm", ColumnDataType = "decimal(18,2)",IsNullable =true)]
        public System.Decimal Head { get; set; }

        /// <summary>
        /// 生日,出生年月日
        /// </summary>
        [SugarColumn(ColumnDescription = "生日,出生年月日",ColumnDataType ="date")]
        public System.DateTime Birthday { get; set; }

        /// <summary>
        /// 年龄,岁
        /// </summary>
        [SugarColumn(ColumnDescription = "年龄,岁")]
        public System.Int32 Age { get; set; }

        /// <summary>
        /// 状态,0-禁用,1-启用
        /// </summary>
        [SugarColumn(ColumnDescription = "状态,0-禁用,1-启用")]
        public StatusType Status { get; set; }

        /// <summary>
        /// 所属的用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "所属的用户ID")]
        public System.Int32 UserId { get; set; }

        /// <summary>
        /// 是否为自己,0-否,1-是,不能够删除
        /// </summary>
        [SugarColumn(ColumnDescription = "是否为自己,0-否,1-是,不能够删除")]
        public System.Int32 IsSelf { get; set; }

        /// <summary>
        /// 最近的测量时间
        /// </summary>
        [SugarColumn(ColumnDescription = "最近的测量时间",IsNullable =true)]
        public System.DateTime? LastHeartTime { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime Createtime { get; set; }
    }
}
